<%- include("_header") -%>

  <form action="/data/<%= page %>"  method="get">
    <!--form id="searchForm"-->
      <input type="text" name="recherche">
      <button type="submit">recherche</button>
    <!--/form-->


  <div class="table-responsive-sm">
    <table class="table table-hover" id ="table">
      <thead>
        <tr>
          <th>nom</th>
          <th>prenom</th>
          <th>Date de naissance</th>
          <th>Age</th>
          <th>Numéro de la carte d'identité nationale</th>
          <th class="d-print-none">
            <a class="btn btn-sm btn-success" href="/create">Ajouter</a>
          </th>
        </tr>
      </thead>
      <tbody>
        <% for (const etudient of model) { %>
          <tr>
            <td>
              <%= etudient.nom %>
            </td>
            <td>
              <%= etudient.prenom %>
            </td>
            <td>
              <%= etudient.dateNaissance %>
            </td>
            <td>
              <%=etudient.age %>
            </td>
            <td>
              <%= etudient.numCI %>
            </td>
            <td class="d-print-none">
              
              <a class="btn btn-sm btn-warning" href="/index/<%= etudient.idEtud%>">Modifier</a>
              <a href="/suppEtudiant/<%= etudient.idEtud %>" class="btn btn-primary">Supprimer</a>
           
            </td>
          </tr>
          <% } %>
      </tbody>
    </table>
   
    <div class="pagination">
      <a onclick="page_avant();" href="/data/<%= page-1 %>?recherche=<%= recherche %>" >&laquo;</a>
      <a onclick="page_suivant();" href="/data/<%= page+1 %>?recherche=<%= recherche%> ">&raquo;</a>
      
    </div>
      
  </div>
</form>
  <%- include("_footer") -%>